'\" t
.\"     Title: SPI_connect
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 9.4.26 Documentation
.\"    Source: PostgreSQL 9.4.26
.\"  Language: English
.\"
.TH "SPI_CONNECT" "3" "2020" "PostgreSQL 9.4.26" "PostgreSQL 9.4.26 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
SPI_connect \- connect a procedure to the SPI manager
.SH "SYNOPSIS"
.sp
.nf
int SPI_connect(void)
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_connect\fR
opens a connection from a procedure invocation to the SPI manager\&. You must call this function if you want to execute commands through SPI\&. Some utility SPI functions can be called from unconnected procedures\&.
.PP
If your procedure is already connected,
\fBSPI_connect\fR
will return the error code
SPI_ERROR_CONNECT\&. This could happen if a procedure that has called
\fBSPI_connect\fR
directly calls another procedure that calls
\fBSPI_connect\fR\&. While recursive calls to the
SPI
manager are permitted when an SQL command called through SPI invokes another function that uses
SPI, directly nested calls to
\fBSPI_connect\fR
and
\fBSPI_finish\fR
are forbidden\&. (But see
\fBSPI_push\fR
and
\fBSPI_pop\fR\&.)
.SH "RETURN VALUE"
.PP
SPI_OK_CONNECT
.RS 4
on success
.RE
.PP
SPI_ERROR_CONNECT
.RS 4
on error
.RE
